Superbill

Superbills can be uploaded by patients to their payers' portals to get reimbursed for out-of-network services.

The superbill model


Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the superbill.

  • Name
    object
    Type
    string
    Description

    Always 'superbill'.

  • Name
    name
    Type
    string
    Description

    Name of the superbill

  • Name
    patient
    Type
    string
    Description

    Patient this superbill is associated with.

  • Name
    appointment
    Type
    string
    Description

    Appointment this superbill is associated with. If there is no associated appointment, leave this parameter blank.

  • Name
    appointment_occurrence
    Type
    string
    Description

    Appointment occurrence this superbill is associated with. This optional attribute only applies to recurring appointments.

  • Name
    visit_note
    Type
    string
    Description

    Visit note this superbill is associated with. If there is no visit note associated with this superbill, leave this parameter blank.

  • Name
    share_with_patient
    Type
    boolean
    Description

    Whether this superbill should be shared with the patient.

  • Name
    rendering_provider
    Type
    string
    Description

    Provider that provided the medical services.

  • Name
    service_facility
    Type
    string
    Description

    Location where a medical service was rendered, such as the provider's office or a hospital.

  • Name
    billing_provider
    Type
    string
    Description

    Provider or business entity submitting the superbill and representing the person or entity being reimbursed.

  • Name
    diagnoses
    Type
    array of objects
    Description
    Relevant diagnoses for superbill.
  • Name
    billing_items
    Type
    array of objects
    Description
    Relevant billing items for superbill.
  • Name
    comments
    Type
    array of strings
    Description

    Comments on this superbill.

  • Name
    reviews
    Type
    array of objects
    Description
    Review history of the superbill.
  • Name
    status_history
    Type
    array of objects
    Description
    Status history of the superbill.
  • Name
    created_by
    Type
    string
    Description

    Creator of the superbill.

  • Name
    created_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when the superbill was created.

  • Name
    last_updated_at
    Type
    date-time
    Description

    Timestamp (in ISO 8601 format) of when this superbill was last updated.

Response

{
    "id": "sbll_02DCBCXf3BglWGW0eC3H",
    "object": "superbill",
    "name": "Mental Health Visit — May 10, 2023",
    "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
    "appointment": "appt_iXijTmvKZayeKgLvUEUf",
    "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
    "visit_note": "note_JAgHSJHuSodCZ7IhTMqT",
    "share_with_patient": true,
    "rendering_provider": "user_idjkvxZTqfJD734feQHa",
    "service_facility": "sfac_tJFm1YU2tWDhpgUhXSZ5",
    "billing_provider": "bprv_9g36hEN5wgew2M59eIrF",
    "diagnoses": [
        {
            "diagnosis": "E11.9",
            "active": true,
            "onset_date": "2022-04-07",
        }
    ],
    "billing_items": [
        {
            "date_of_service_start": "2024-04-10T13:20:21.724Z",
            "date_of_service_end": "2024-04-10T13:20:21.724Z",
            "procedure": "92012",
            "modifiers": [],
            "quantity": 1,
            "fee": 115,
            "associated_diagnoses": ["E11.9"],
            "notes": ""
        }
    ],
    "comments": [
        "cmmt_18Efdm5UBJduDbioH1kp"
    ],
    "reviews": [
        {
            "status": "needs_review",
            "requested_by": "user_idjkvxZTqfJD734feQHa",
            "reviewer": "user_QtD0YaeDw4VyS9UPBpX4",
            "requested_at": 1684220332000,
            "review_deadline": 1686220332000,
            "reviewed_at": 1684220992000
        }
    ],
    "status_history": [
        {
            "status": "draft",
            "changed_by": "user_idjkvxZTqfJD734feQHa",
            "changed_at": "2024-04-10T13:20:21.724Z"
        },
        {
            "status": "sent",
            "changed_by": "user_idjkvxZTqfJD734feQHa",
            "changed_at": "2024-05-10T13:20:21.724Z"
        }
    ],
    "created_by": "user_Z1zXZKvqrpwxbznuW6lJ",
    "created_at": "2024-04-10T13:20:21.724Z",
    "last_updated_at": "2024-05-10T13:20:21.724Z"
}


POST/v2/superbills

Create a superbill

Creates a new superbill.

Required attributes

  • Name
    patient
    Type
    string
    Description

    Patient this superbill is associated with.

Optional attributes

  • Name
    name
    Type
    string
    Description

    Name of the superbill

  • Name
    appointment
    Type
    string
    Description

    Appointment this superbill is associated with. If there is no associated appointment, leave this parameter blank.

  • Name
    visit_note
    Type
    string
    Description

    Visit note this superbill is associated with. If there is no visit note associated with this superbill, leave this parameter blank.

  • Name
    share_with_patient
    Type
    boolean
    Description

    Whether this superbill should be shared with the patient.

  • Name
    rendering_provider
    Type
    string
    Description

    Provider that provided the medical services.

  • Name
    service_facility
    Type
    string
    Description

    Location where a medical service was rendered, such as the provider's office or a hospital.

  • Name
    billing_provider
    Type
    string
    Description

    Provider or business entity submitting the superbill and representing the person or entity being reimbursed.

  • Name
    diagnoses
    Type
    array of objects
    Description
    Relevant diagnoses for superbill.
  • Name
    billing_items
    Type
    array of objects
    Description
    Relevant billing items for superbill.
  • Name
    comments
    Type
    array of objects
    Description

    Comments to add to this superbill. Each object has a body string and a resolved boolean.

Request

POST
/v2/superbills
curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/superbills" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "account: {{account}}" \
  -H "Content-Type: application/json" \
  --data '{
    "patient": "{{patient_id}}"
  }'

Response

    {
        "id": "sbll_02DCBCXf3BglWGW0eC3H",
        "object": "superbill",
        "name": null,
        "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
        "appointment": null,
        "appointment_occurrence": null,
        "visit_note": null,
        "share_with_patient": null,
        "rendering_provider": null,
        "service_facility": null,
        "billing_provider": null,
        "diagnoses": [],
        "billing_items": [],
        "comments": [],
        "reviews": [],
        "status_history": [],
        "created_by": "user_Z1zXZKvqrpwxbznuW6lJ",
        "created_at": "2024-04-10T13:20:21.724Z",
        "last_updated_at": "2024-04-10T13:20:21.724Z"
    }

GET/v2/superbills/:id

Retrieve a superbill

Retrieves the specified superbill.

Request

GET
/v2/superbills/:id
curl "https://{{base_subdomain}}.avonhealth.com/v2/superbills/:id" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}" \
  -H "account: {{account}}"

Response

    {
        "id": "sbll_02DCBCXf3BglWGW0eC3H",
        "object": "superbill",
        "name": "Mental Health Visit — May 10, 2023",
        "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
        "appointment": "appt_iXijTmvKZayeKgLvUEUf",
        "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
        "visit_note": "note_JAgHSJHuSodCZ7IhTMqT",
        "share_with_patient": true,
        "rendering_provider": "user_idjkvxZTqfJD734feQHa",
        "service_facility": "sfac_tJFm1YU2tWDhpgUhXSZ5",
        "billing_provider": "bprv_9g36hEN5wgew2M59eIrF",
        "diagnoses": [
            {
                "diagnosis": "E11.9",
                "active": true,
                "onset_date": "2022-04-07",
            }
        ],
        "billing_items": [
            {
                "date_of_service_start": "2024-04-10T13:20:21.724Z",
                "date_of_service_end": "2024-04-10T13:20:21.724Z",
                "procedure": "92012",
                "modifiers": [],
                "quantity": 1,
                "fee": 115,
                "associated_diagnoses": ["E11.9"],
                "notes": ""
            }
        ],
        "comments": [
            "cmmt_18Efdm5UBJduDbioH1kp"
        ],
        "reviews": [
            {
                "status": "needs_review",
                "requested_by": "user_idjkvxZTqfJD734feQHa",
                "reviewer": "user_QtD0YaeDw4VyS9UPBpX4",
                "requested_at": 1684220332000,
                "review_deadline": 1686220332000,
                "reviewed_at": 1684220992000
            }
        ],
        "status_history": [
            {
                "status": "draft",
                "changed_by": "user_idjkvxZTqfJD734feQHa",
                "changed_at": "2024-04-10T13:20:21.724Z"
            },
            {
                "status": "sent",
                "changed_by": "user_idjkvxZTqfJD734feQHa",
                "changed_at": "2024-05-10T13:20:21.724Z"
            }
        ],
        "created_by": "user_Z1zXZKvqrpwxbznuW6lJ",
        "created_at": "2024-04-10T13:20:21.724Z",
        "last_updated_at": "2024-05-10T13:20:21.724Z"
    }

POST/v2/superbills/:id

Update a superbill

Updates the specified superbill object by setting the values of the parameters passed. Any other parameters not provided will not be modified. Diagnoses and billing items are managed through their own endpoints below.

Required attributes

    Optional attributes

    • Name
      name
      Type
      string
      Description

      Name of the superbill

    • Name
      patient
      Type
      string
      Description

      Patient this superbill is associated with.

    • Name
      appointment
      Type
      string
      Description

      Appointment this superbill is associated with. If there is no associated appointment, leave this parameter blank.

    • Name
      appointment_occurrence
      Type
      string
      Description

      Appointment occurrence this superbill is associated with. This optional attribute only applies to recurring appointments.

    • Name
      visit_note
      Type
      string
      Description

      Visit note this superbill is associated with. If there is no visit note associated with this superbill, leave this parameter blank.

    • Name
      share_with_patient
      Type
      boolean
      Description

      Whether this superbill should be shared with the patient.

    • Name
      rendering_provider
      Type
      string
      Description

      Provider that provided the medical services.

    • Name
      service_facility
      Type
      string
      Description

      Location where a medical service was rendered, such as the provider's office or a hospital.

    • Name
      billing_provider
      Type
      string
      Description

      Provider or business entity submitting the superbill and representing the person or entity being reimbursed.

    • Name
      status
      Type
      string
      Description

      Status of the superbill. Setting this appends an entry to the superbill's status history.

      Possible values:
      draft
      sent
      paid
      rejected

    Request

    POST
    /v2/superbills/:id
    curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/superbills/:id" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "account: {{account}}" \
      -H "Content-Type: application/json" \
      --data '{}'
    

    Response

        {
            "id": "sbll_02DCBCXf3BglWGW0eC3H",
            "object": "superbill",
            "name": "Mental Health Visit — May 10, 2023",
            "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
            "appointment": "appt_iXijTmvKZayeKgLvUEUf",
            "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
            "visit_note": "note_JAgHSJHuSodCZ7IhTMqT",
            "share_with_patient": true,
            "rendering_provider": "user_idjkvxZTqfJD734feQHa",
            "service_facility": "sfac_tJFm1YU2tWDhpgUhXSZ5",
            "billing_provider": "bprv_9g36hEN5wgew2M59eIrF",
            "diagnoses": [
                {
                    "diagnosis": "E11.9",
                    "active": true,
                    "onset_date": "2022-04-07",
                }
            ],
            "billing_items": [
                {
                    "date_of_service_start": "2024-04-10T13:20:21.724Z",
                    "date_of_service_end": "2024-04-10T13:20:21.724Z",
                    "procedure": "92012",
                    "modifiers": [],
                    "quantity": 1,
                    "fee": 115,
                    "associated_diagnoses": ["E11.9"],
                    "notes": ""
                }
            ],
            "comments": [
                "cmmt_18Efdm5UBJduDbioH1kp"
            ],
            "reviews": [
                {
                    "status": "needs_review",
                    "requested_by": "user_idjkvxZTqfJD734feQHa",
                    "reviewer": "user_QtD0YaeDw4VyS9UPBpX4",
                    "requested_at": 1684220332000,
                    "review_deadline": 1686220332000,
                    "reviewed_at": 1684220992000
                }
            ],
            "status_history": [
                {
                    "status": "draft",
                    "changed_by": "user_idjkvxZTqfJD734feQHa",
                    "changed_at": "2024-04-10T13:20:21.724Z"
                },
                {
                    "status": "sent",
                    "changed_by": "user_idjkvxZTqfJD734feQHa",
                    "changed_at": "2024-05-10T13:20:21.724Z"
                }
            ],
            "created_by": "user_Z1zXZKvqrpwxbznuW6lJ",
            "created_at": "2024-04-10T13:20:21.724Z",
            "last_updated_at": "2024-05-10T13:20:21.724Z"
        }
    

    GET/v2/superbills

    List all superbills

    Returns a list of all superbills.

    Optional query parameters

    • Name
      patient
      Type
      string
      Description

      Patient to filter by.

    • Name
      appointment
      Type
      string
      Description

      Appointment to filter by.

    • Name
      visit_note
      Type
      string
      Description

      Visit note to filter by.

    • Name
      share_with_patient
      Type
      boolean
      Description

      Only return superbills shared with the patient.

    • Name
      search
      Type
      string
      Description

      Free-text search on name.

    • Name
      limit
      Type
      number
      Description

      Maximum number of results to return.

    • Name
      offset
      Type
      number
      Description

      Number of results to skip.

    Request

    GET
    /v2/superbills
    curl "https://{{base_subdomain}}.avonhealth.com/v2/superbills?patient={{patient_id}}" \
      -H "Authorization: Bearer {{token}}" \
      -H "x-jwt: {{jwt}}" \
      -H "account: {{account}}"
    

    Response

        {
          "object": "list",
          "data": [
            {
                "id": "sbll_02DCBCXf3BglWGW0eC3H",
                "object": "superbill",
                "name": "Mental Health Visit — May 10, 2023",
                "patient": "user_Z1zXZKvqrpwxbznuW6lJ",
                "appointment": "appt_iXijTmvKZayeKgLvUEUf",
                "appointment_occurrence": "occr_ghig78hnKvqrpwxbznuW6lJ",
                "visit_note": "note_JAgHSJHuSodCZ7IhTMqT",
                "share_with_patient": true,
                "rendering_provider": "user_idjkvxZTqfJD734feQHa",
                "service_facility": "sfac_tJFm1YU2tWDhpgUhXSZ5",
                "billing_provider": "bprv_9g36hEN5wgew2M59eIrF",
                "diagnoses": [
                    {
                        "diagnosis": "E11.9",
                        "active": true,
                        "onset_date": "2022-04-07",
                    }
                ],
                "billing_items": [
                    {
                        "date_of_service_start": "2024-04-10T13:20:21.724Z",
                        "date_of_service_end": "2024-04-10T13:20:21.724Z",
                        "procedure": "92012",
                        "modifiers": [],
                        "quantity": 1,
                        "fee": 115,
                        "associated_diagnoses": ["E11.9"],
                        "notes": ""
                    }
                ],
                "comments": [
                    "cmmt_18Efdm5UBJduDbioH1kp"
                ],
                "reviews": [],
                "status_history": [
                    {
                        "status": "draft",
                        "changed_by": "user_idjkvxZTqfJD734feQHa",
                        "changed_at": "2024-04-10T13:20:21.724Z"
                    }
                ],
                "created_by": "user_Z1zXZKvqrpwxbznuW6lJ",
                "created_at": "2024-04-10T13:20:21.724Z",
                "last_updated_at": "2024-05-10T13:20:21.724Z"
            },
          ]
        }
    

    DELETE/v2/superbills/:id

    Delete a superbill

    Deletes the specified superbill along with its diagnoses, billing items, and status history.

    Required attributes

      Optional attributes

        Request

        DELETE
        /v2/superbills/:id
        curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/superbills/:id" \
          -H "Authorization: Bearer {{token}}" \
          -H "x-jwt: {{jwt}}" \
          -H "account: {{account}}"
        

        Response

            {
                "id": "sbll_02DCBCXf3BglWGW0eC3H",
                "object": "superbill",
                "deleted": true
            }
        

        POST/v2/superbills/:id/billing_items

        Create a superbill billing item

        Adds a billing line item to the specified superbill.

        Required attributes

        • Name
          date_of_service_start
          Type
          date-time
          Description

          Date and time of the start of the service.

        • Name
          date_of_service_end
          Type
          date-time
          Description

          Date and time of the end of the service.

        • Name
          procedure
          Type
          string
          Description

          Procedure code for the procedure being billed.

        • Name
          quantity
          Type
          number
          Description

          Quantity of the procedure being billed.

        • Name
          fee
          Type
          number
          Description

          Fee for the procedure being billed.

        • Name
          associated_diagnoses
          Type
          array of strings
          Description

          List of diagnoses associated with the procedure.

        Optional attributes

        • Name
          modifiers
          Type
          array of strings
          Description

          List of modifiers for the procedure.

        • Name
          notes
          Type
          string
          Description

          Notes associated with the billing item.

        Request

        POST
        /v2/superbills/:id/billing_items
        curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/superbills/:id/billing_items" \
          -H "Authorization: Bearer {{token}}" \
          -H "x-jwt: {{jwt}}" \
          -H "account: {{account}}" \
          -H "Content-Type: application/json" \
          --data '{
            "date_of_service_start": "2025-01-15T14:30:00.000Z",
            "date_of_service_end": "2025-01-15T14:30:00.000Z",
            "procedure": "Example",
            "quantity": 1,
            "fee": 1,
            "associated_diagnoses": []
          }'
        

        Response

            {
                "id": "2UxtAULYUrX7GVsTKePy",
                "date_of_service_start": "2024-04-10T13:20:21.724Z",
                "date_of_service_end": "2024-04-10T13:20:21.724Z",
                "procedure": "99213",
                "modifiers": ["95"],
                "quantity": 1,
                "fee": 100.0,
                "associated_diagnoses": ["E10.0"],
                "notes": ""
            }
        

        POST/v2/superbills/:id/billing_items/:item

        Update a superbill billing item

        Updates the specified billing line item on the superbill.

        Required attributes

          Optional attributes

          • Name
            date_of_service_start
            Type
            date-time
            Description

            Date and time of the start of the service.

          • Name
            date_of_service_end
            Type
            date-time
            Description

            Date and time of the end of the service.

          • Name
            procedure
            Type
            string
            Description

            Procedure code for the procedure being billed.

          • Name
            quantity
            Type
            number
            Description

            Quantity of the procedure being billed.

          • Name
            fee
            Type
            number
            Description

            Fee for the procedure being billed.

          • Name
            associated_diagnoses
            Type
            array of strings
            Description

            List of diagnoses associated with the procedure.

          • Name
            modifiers
            Type
            array of strings
            Description

            List of modifiers for the procedure.

          • Name
            notes
            Type
            string
            Description

            Notes associated with the billing item.

          Request

          POST
          /v2/superbills/:id/billing_items/:item
          curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/superbills/:id/billing_items/:item" \
            -H "Authorization: Bearer {{token}}" \
            -H "x-jwt: {{jwt}}" \
            -H "account: {{account}}" \
            -H "Content-Type: application/json" \
            --data '{}'
          

          Response

              {
                  "id": "2UxtAULYUrX7GVsTKePy",
                  "date_of_service_start": "2024-04-10T13:20:21.724Z",
                  "date_of_service_end": "2024-04-10T13:20:21.724Z",
                  "procedure": "99213",
                  "modifiers": ["95"],
                  "quantity": 1,
                  "fee": 100.0,
                  "associated_diagnoses": ["E10.0"],
                  "notes": ""
              }
          

          DELETE/v2/superbills/:id/billing_items/:item

          Delete a superbill billing item

          Deletes the specified billing line item from the superbill.

          Required attributes

            Optional attributes

              Request

              DELETE
              /v2/superbills/:id/billing_items/:item
              curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/superbills/:id/billing_items/:item" \
                -H "Authorization: Bearer {{token}}" \
                -H "x-jwt: {{jwt}}" \
                -H "account: {{account}}"
              

              Response

                  {
                      "id": "2UxtAULYUrX7GVsTKePy",
                      "object": "billing_item",
                      "deleted": true
                  }
              

              POST/v2/superbills/:id/diagnoses

              Create a superbill diagnosis

              Adds a diagnosis to the specified superbill.

              Required attributes

              • Name
                diagnosis
                Type
                string
                Description

                ICD-10 code of diagnosis.

              • Name
                active
                Type
                boolean
                Description

                Whether diagnosis is still active.

              • Name
                onset_date
                Type
                date
                Description

                Start date of diagnosis (in ISO 8601 format).

              • Name
                end_date
                Type
                date
                Description

                Only applies if .active is false. End date of diagnosis (in ISO 8601 format).

              Request

              POST
              /v2/superbills/:id/diagnoses
              curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/superbills/:id/diagnoses" \
                -H "Authorization: Bearer {{token}}" \
                -H "x-jwt: {{jwt}}" \
                -H "account: {{account}}" \
                -H "Content-Type: application/json" \
                --data '{
                  "diagnosis": "Example",
                  "active": true,
                  "onset_date": "2025-01-15T14:30:00.000Z",
                  "end_date": "2025-01-15T14:30:00.000Z"
                }'
              

              Response

                  {
                      "id": "Dq9QGzFmHqUVwGx1cVUC",
                      "diagnosis": "E11.9",
                      "active": true,
                      "onset_date": "2022-04-07",
                      "end_date": null
                  }
              

              POST/v2/superbills/:id/diagnoses/:item

              Update a superbill diagnosis

              Updates the specified diagnosis on the superbill.

              Required attributes

                Optional attributes

                • Name
                  diagnosis
                  Type
                  string
                  Description

                  ICD-10 code of diagnosis.

                • Name
                  active
                  Type
                  boolean
                  Description

                  Whether diagnosis is still active.

                • Name
                  onset_date
                  Type
                  date
                  Description

                  Start date of diagnosis (in ISO 8601 format).

                • Name
                  end_date
                  Type
                  date
                  Description

                  Only applies if .active is false. End date of diagnosis (in ISO 8601 format).

                Request

                POST
                /v2/superbills/:id/diagnoses/:item
                curl -X POST "https://{{base_subdomain}}.avonhealth.com/v2/superbills/:id/diagnoses/:item" \
                  -H "Authorization: Bearer {{token}}" \
                  -H "x-jwt: {{jwt}}" \
                  -H "account: {{account}}" \
                  -H "Content-Type: application/json" \
                  --data '{}'
                

                Response

                    {
                        "id": "Dq9QGzFmHqUVwGx1cVUC",
                        "diagnosis": "E11.9",
                        "active": true,
                        "onset_date": "2022-04-07",
                        "end_date": null
                    }
                

                DELETE/v2/superbills/:id/diagnoses/:item

                Delete a superbill diagnosis

                Deletes the specified diagnosis from the superbill.

                Required attributes

                  Optional attributes

                    Request

                    DELETE
                    /v2/superbills/:id/diagnoses/:item
                    curl -X DELETE "https://{{base_subdomain}}.avonhealth.com/v2/superbills/:id/diagnoses/:item" \
                      -H "Authorization: Bearer {{token}}" \
                      -H "x-jwt: {{jwt}}" \
                      -H "account: {{account}}"
                    

                    Response

                        {
                            "id": "Dq9QGzFmHqUVwGx1cVUC",
                            "object": "diagnosis",
                            "deleted": true
                        }